> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an API key

> Requires the `api_key:write` ability.



## OpenAPI

````yaml /api-reference/api.json delete /api-keys/{api_key}
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /api-keys/{api_key}:
    delete:
      tags:
        - API Keys
      summary: Delete an API key
      description: Requires the `api_key:write` ability.
      operationId: api-keys.destroy
      parameters:
        - name: api_key
          in: path
          required: true
          description: 'The API key ID. Example: `key_01jz8v2q4x...`'
          schema:
            type: string
      responses:
        '204':
          description: No content
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                minItems: 0
                maxItems: 0
                additionalItems: false
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````